nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Types | Public Member Functions | Static Public Member Functions | List of all members
ftplib Class Reference

## Public Types
enum | accesstype { dir = 1, dirverbose, fileread, filewrite, filereadappend, filewriteappend }
enum | transfermode { ascii = 'A', image = 'I' }
enum | connmode { pasv = 1, port }
enum | fxpmethod { defaultfxp = 0, alternativefxp }
enum | dataencryption { unencrypted = 0, secure }

## Public Member Functions
char * | LastResponse ()
int | Connect (const char *host)
int | Login (const char *user, const char *pass)
int | Site (const char *cmd)
int | Raw (const char *cmd)
int | SysType (char *buf, int max)
int | Mkdir (const char *path)
int | Chdir (const char *path)
int | Cdup ()
int | Rmdir (const char *path)
int | Pwd (char *path, int max)
int | Nlst (const char *outputfile, const char *path)
int | Dir (const char *outputfile, const char *path)
int | Size (const char *path, int *size, transfermode mode)
int | ModDate (const char *path, char *dt, int max)
int | Get (const char *outputfile, const char *path, transfermode mode, off64_t offset=0)
int | Put (const char *inputfile, const char *path, transfermode mode, off64_t offset=0)
int | Rename (const char *src, const char *dst)
int | Delete (const char *path)
int | Quit ()
void | SetCallbackIdleFunction (FtpCallbackIdle pointer)
void | SetCallbackLogFunction (FtpCallbackLog pointer)
void | SetCallbackXferFunction (FtpCallbackXfer pointer)
void | SetCallbackArg (void *arg)
void | SetCallbackBytes (off64_t bytes)
void | SetCorrectPasv (bool b)
void | SetCallbackIdletime (int time)
void | SetConnmode (connmode mode)
ftphandle * | RawOpen (const char *path, accesstype type, transfermode mode)
int | RawClose (ftphandle *handle)
int | RawWrite (void *buf, int len, ftphandle *handle)
int | RawRead (void *buf, int max, ftphandle *handle)
int | TestControlConnection ()
int | SetDataEncryption (dataencryption enc)
int | NegotiateEncryption ()
void | SetCallbackCertFunction (FtpCallbackCert pointer)

## Static Public Member Functions
static int | Fxp (ftplib *src, ftplib *dst, const char *pathSrc, const char *pathDst, transfermode mode, fxpmethod method)

The documentation for this class was generated from the following files:

- samples/storage/ftp_storage_plugin/ftplibpp/ftplibpp/ftplib.h
- samples/storage/ftp_storage_plugin/ftplibpp/ftplibpp/ftplib.cpp